読者です 読者をやめる 読者になる 読者になる

牌語備忘録 -pygo

あくまでもメモです。なるべくオフィシャルの情報を参照してください。

牌語備忘録 -pygo

Perl5.10 をMacports で MacOSX10.5 に インストールしようとしたらエラーでた(´・ω・`)

memo Perl

なんだかPerlと自分は昔から相性悪い気がする...

MacBook-2:~ username$sudo port -d install perl5.10
Password:
DEBUG: Found port in file:///opt/local/var/macports/sources/rsync.macports.org/release/ports/lang/perl5.10
DEBUG: Changing to port directory: /opt/local/var/macports/sources/rsync.macports.org/release/ports/lang/perl5.10
DEBUG: OS Platform: darwin
DEBUG: OS Version: 9.8.0
DEBUG: Mac OS X Version: 10.5
DEBUG: System Arch: i386
DEBUG: setting option os.universal_supported to yes
DEBUG: org.macports.load registered provides 'load', a pre-existing procedure. Target override will not be provided
DEBUG: org.macports.distfiles registered provides 'distfiles', a pre-existing procedure. Target override will not be provided
DEBUG: Reading variant descriptions from /opt/local/var/macports/sources/rsync.macports.org/release/ports/_resources/port1.0/variant_descriptions.conf
DEBUG: adding the default universal variant
DEBUG: Requested variant i386 is not provided by port perl5.10.
DEBUG: Requested variant macosx is not provided by port perl5.10.
DEBUG: Executing variant darwin provides darwin
--->  Computing dependencies for perl5.10
DEBUG: Checking for conflicts against perl5.10
DEBUG: Searching for dependency: perl5.8
DEBUG: Found Dependency: receipt exists for perl5.8
DEBUG: Can't install perl5.10 because conflicting ports are installed: perl5.8
    while executing
"mportdepends $mport $target"
    (procedure "mportexec" line 35)
    invoked from within
"mportexec $workername $target"
Error: Unable to execute port: Can't install perl5.10 because conflicting ports are installed: perl5.8
To report a bug, see <http://guide.macports.org/#project.tickets>


どうすりゃいいの?